@import 'src/assets/scss/_variables';
@import 'src/assets/scss/_mixins';

.header {
	height: 5.9rem;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: center;
	position: fixed;
	width: 100%;
	top: 0;
	z-index: 100;
	background-color: #fff;
	.headerContent {
		display: flex;
		width: 100%;
		max-width: 144rem;
		min-width: 110rem;
		height: 100%;
		justify-content: space-between;
		align-items: center;
		.surname {
			margin-left: 4.1rem;
			font-weight: 300;
			font-size: 1.8rem;
			line-height: 1.6rem;
			text-transform: uppercase;
			color: #121F31;
		}
		.menu {
			display: flex;
			padding: 0;
			margin: 0;
			list-style-type: none;
			li {
				padding: 0;
				a {
					display: inline-block;
					font-weight: 500;
					font-size: 1.4rem;
					line-height: 1.8rem;
					text-align: center;
					text-transform: uppercase;
					color: #5F6A7A;
					margin: 0 0.3rem;
					padding: 0.8rem 1.8rem;
					&:hover,
					&.active {
						font-weight: 700;
						color: #121F31;
					}
				}
				&:hover {
					cursor: pointer;
				}
				&.home a {
					width: 8.6rem;
				}
				&.experience a {
					width: 18.5rem;
				}
				&.education a {
					width: 12.8rem;
				}
				&.skills a {
					width: 8.9rem;
				}
			}
		}
		.contactIcons {
			margin-right: 12.1rem;
			list-style-type: none;
			display: flex;
			align-items: center;
			a {
				height: 2rem;
				margin-right: 0.3rem;
				padding: 1.5rem 2.3rem;
				border-radius: 17.9rem;
				display: flex;
				align-items: center;
				&.linkedIn {
					width: 1.5rem;
					background: transparent url('../../../assets/linkedin.svg') no-repeat 50% 50%;
				}
				&.email {
					width: 1.8rem;
					background: transparent url('../../../assets/mail.svg') no-repeat 50% 50%;
				}
				&.gitlab {
					width: 2rem;
					background: transparent url('../../../assets/gitlab.svg') no-repeat 50% 50%;
				}
				&:hover {
					background-color: #F7F7F7;
				}
			}
			li:last-child a {
				margin: 0;
			}
		}
	}
	.spacer {
		width: 100%;
		height: 0.3rem;
		background: radial-gradient(58.87% 58.87% at 41.3% 108.87%, #FFE8AD 0%, rgba(253, 173, 255, 0) 100%), radial-gradient(50% 322.5% at 100% 0%, #40E998 0%, rgba(64, 233, 152, 0) 100%), radial-gradient(56.45% 356.01% at 0% 0%, #B8BCE4 0%, rgba(184, 188, 228, 0) 100%);
		}
}